<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * OSB Configuration - Debug Settings
 *
 * @package    OSB
 * @category   Configuration
 * @author     Deon George
 * @copyright  (c) 2010 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */

return array
(
	'ajax'=>FALSE,				// AJAX actions can only be run by ajax calls if set to FALSE
	'etag'=>FALSE,				// Force generating ETAGS
	'checkout_notify'=>FALSE,		// Test mode to test a particular checkout_notify item
	'disabled_noaccess_redirect'=>FALSE,	// Disable redirect when noaccess
	'email_admin_only'=> array(		// Override emails and send them to an admin instead
		#'task_invoice_list_overdue'=>array('deon@leenooks.net'=>'Deon George'),
	),
	'email_bcc_admin'=> array(		// Blind copy all email to an admin, in the format 'email'=>'name',
//		'deon@leenooks.net'=>'Deon George',
	),
	'invoice'=>0,				// Number of invoices to generate in a pass
	'site'=>FALSE,				// Glogal site debug
	'show_errors'=>FALSE,			// Show errors instead of logging in the DB.
	'show_inactive'=>FALSE,			// Show Inactive Items
	'task_sim'=>FALSE,			// Simulate running tasks
);
?>
