<br/>
<?php echo Form::open(); ?>
	<table class="login">
		<tr>
			<td>User Name</td>
			<td><?php echo Form::input('username',$account->username,
				array('id'=>'login-uid','size'=>40,'class'=>(array_key_exists('username',$errors) ? 'error' : 'ok'))); ?></td>
		</tr>
		<tr>
			<td>Password</td>
			<td><?php echo Form::password('password',NULL,array('id'=>'login-pwd','size'=>16));?></td>
		</tr>
		<tr>
			<td>Confirm Password</td>
			<td><?php echo Form::password('password_confirm',NULL,array('id'=>'login-pwd-confirm','size'=>16));?></td>
		</tr>
		<tr>
			<td>Email Address</td>
			<td><?php echo Form::input('email',$account->email,array('size'=>40));?></td>
		</tr>
		<tr>
			<td>Company</td>
			<td><?php echo Form::input('company',$account->company,array('size'=>40));?></td>
		</tr>
		<tr>
			<td>First Name</td>
			<td><?php echo Form::input('first_name',$account->first_name,array('size'=>40));?></td>
		</tr>
		<tr>
			<td>Last Name</td>
			<td><?php echo Form::input('last_name',$account->last_name,array('size'=>40));?></td>
		</tr>
		<tr>
			<td>Title</td>
			<td><?php echo StaticList_Title::form('title',$account->title);?></td>
		</tr>
		<tr>
			<td>Address Line 1</td>
			<td><?php echo Form::input('address1',$account->address1,array('size'=>40));?></td>
		</tr>
		<tr>
			<td>Address Line 2</td>
			<td><?php echo Form::input('address2',$account->address2,array('size'=>40));?></td>
		</tr>
		<tr>
			<td>City</td>
			<td><?php echo Form::input('city',$account->city,array('size'=>40));?></td>
		</tr>
		<tr>
			<td>State</td>
			<td><?php echo Form::input('state',$account->state,array('size'=>20));?></td>
		</tr>
		<tr>
			<td>Post Code</td>
			<td><?php echo Form::input('zip',$account->zip,array('size'=>20));?></td>
		</tr>
		<tr>
			<td>Country</td>
			<!-- @todo - our default currency should be defined in a config -->
			<td><?php echo Form::select('country_id',ORM::factory('Country')->list_select(),$o->country_id,array('label'=>'Country','required')); ?></td>
<!--
				{if $VAR.account_country_id != ''}
					{$list->menu('no','account_country_id','country','name',$VAR.account_country_id,'form_field" onchange="taxIdsDisplay(this.value)',true)}
				{else}
					{$list->menu('no','account_country_id','country','name',$smarty.const.DEFAULT_COUNTRY,'form_field" onchange="taxIdsDisplay(this.value)',true)}
				{/if}

				{$method->exe_noauth('tax','get_tax_ids')}
				{if $tax_ids}
				<script type="text/javascript" language="javascript">
					{if $VAR.account_country_id != ""}
						var countryId='{$VAR.account_country_id}';
					{else}
						var countryId='{$smarty.const.DEFAULT_COUNTRY}';
					{/if}
					{literal}
					function taxIdsDisplay(id) {
						try{ document.getElementById('tax_country_id_'+id).style.display='block'; } catch(e) {}
						try{ document.getElementById('tax_country_id_'+countryId).style.display='none'; } catch(e) {}
						countryId=id;
					}
					{/literal}
				</script>

				</td>
			</tr>

			{foreach from=$tax_ids item=tax}
			<tr valign="top" id="tax_country_id_{$tax.country_id}" {if $VAR.account_country_id !=''}{if $VAR.account_country_id!=$tax.country_id}{osb f=style_hide}{/if}{else}{if $smarty.const.DEFAULT_COUNTRY!=$tax.country_id}{osb f=style_hide}{/if}{/if}>
				<td width="29%">{$tax.tax_id_name}</td>
				<td width="71%">
					<input type="text" name="account_tax_id[{$tax.country_id}]" value="{$VAR.account_tax_id[$tax.country_id]}" {if $account_tax_id == true}class="form_field_error"{/if}/>
					<!-*  {if $tax.tax_id_exempt}
					(or) exempt
					<input type="checkbox" name="account_tax_id_exempt[{$tax.country_id}]" value="1"/>
					{/if} -*>
			{/foreach}
		{/if}
				</td>
-->
			</tr>

<!--
		{$method->exe('account','static_var')}
		{foreach from=$static_var item=record}
			<tr valign="top">
				<td>{$record.name}</td>
				<td>{$record.html}</td>
			</tr>
		{/foreach}

-->
<!--
		{if $smarty.const.NEWSLETTER_REGISTRATION == "1"}
			<tr valign="top">
				<td>{t module=account}subscribe_newsletters{/t}</td>
				<td>{$method->exe('newsletter','check_list_registration')}</td>
			</tr>
		{/if}
-->

		<tr>
			<td>Use HTML for Email</td>
			<!-- // @todo default should be specified in a global confi -->
			<td><?php echo StaticList_YesNo::form('email_type',true); ?></td>
		</tr>
		<tr><td colspan="2">&nbsp;</td></tr>
		<tr><td colspan="2" style="text-align: center;"><?php echo Form::submit('submit',_('Register'),array('class'=>'form_button'));?></td></tr>
	</table>
<?php echo Form::close(); ?>
<!-- @todo The following focus() is not ajax/jscript friendly -->
<!-- @todo Provide field validation highlighting -->
<!-- @todo Add javascript to stop submission when password fields dont match -->
<script type="text/javascript">document.getElementById('login-uid').focus();</script>

