<div id="page-title">
	<h1><?php echo $o->title(); ?></h1>
	<?php echo $o->description(); ?>
</div> <!-- /page-title -->

<div id="container">
	<div class="tablewrapper">
		<table class="plan plain">
			<tr class="plan-header">
				<th class="plan-title">Plan Name</th>

				<?php foreach ($o->products() as $po) : ?>
					<td class="plan-title"><?php echo $po->title(); ?> <small>(<?php echo $po->id; ?>)</small></td>
				<?php endforeach ?>
			</tr>

			<tr class="plan-header">
				<th class="plan-price" >Price</th>

				<?php foreach ($o->products() as $po) : ?>
					<?php $go = $po->price_best($o->recur_schedule,TRUE); ?>
					<?php $price = (string)Currency::display($po->price($go->id,$o->recur_schedule,'base',TRUE)); ?>

					<td class="plan-price">
						<span class="note">$</span><?php echo substr($price,0,strpos($price,'.')); ?><span class="cents"> .<?php echo substr($price,-2,strpos($price,'.')); ?></span><span class="term"><?php echo StaticList_RecurSchedule::get($o->recur_schedule); ?></span>
					</td>
				<?php endforeach ?>
			</tr>

			<tr class="plan-features">
				<th>Connection</th>

				<?php foreach ($o->products() as $po) : ?>
					<?php $go = $po->price_best($o->recur_schedule,TRUE); ?>

					<td><span class="note">$</span><?php echo Currency::display($po->price($go->id,$o->recur_schedule,'setup',TRUE)); ?></td>
				<?php endforeach ?>
			</tr>

			<tr class="plan-features">
				<th>Speed</th>
				<?php foreach ($o->products() as $po) : ?>
					<td><?php echo $po->plugin()->supplier_plan->display('speed'); ?></td>
				<?php endforeach ?>
			</tr>

			<tr class="plan-features">
				<th>Peak Downloads</th>
				<?php foreach ($o->products() as $po) : ?>
					<td><?php echo $po->plugin()->base_down_peak/1000; ?><span class="normal">GB</span></td>
				<?php endforeach ?>
			</tr>

			<?php if ($po->plugin()->base_down_offpeak) : ?>
				<tr class="plan-features">
					<th>OffPeak Downloads</th>
					<?php foreach ($o->products() as $po) : ?>
						<td><?php echo $po->plugin()->base_down_offpeak/1000; ?><span class="normal">GB</span></td>
					<?php endforeach ?>
				</tr>
			<?php endif ?>

			<tr class="plan-features">
				<th>Extra Traffic</th>
				<?php foreach ($o->products() as $po) : ?>
					<td><span class="note">$</span><?php echo $po->plugin()->display('extra_down_peak'); ?><span class="normal">/GB</span></td>
				<?php endforeach ?>
			</tr>

			<tr class="plan-features">
				<th>Contract Term</th>
				<?php foreach ($o->products() as $po) : ?>
					<td><?php echo $po->plugin()->display('contract_term'); ?> <span class="normal">mths</span></td>
				<?php endforeach ?>
			</tr>

		</table>
	</div> <!-- /tablewrapper -->
</div> <!-- /container -->
