<div id="page-title">
	<h1><?php echo $o->title(); ?></h1>
	<?php echo $o->description(); ?>
</div> <!-- /page-title -->

<div id="container">
	<div class="pricing-plans plans-4">
		<div class="row">
			<?php $c=0; foreach ($o->products() as $po) : ?>
				<?php $go = $po->price_best($o->recur_schedule,TRUE); ?>
				<?php $price = (string)Currency::display($po->price($go->id,$o->recur_schedule,'base',TRUE)); ?>

				<?php if (is_null($price)) continue; ?>

				<?php if (! ($c++%4) AND $c>1) : ?>
					</div> <!-- /row -->
					<hr class="row-divider" />
					<div class="row">
				<?php endif ?>

				<div class="plan-container">
					<div class="plan">

						<div class="plan-header">

							<div class="plan-title">
								<?php echo $po->title(); ?> <small>(<?php echo $po->id; ?>)</small>
							</div> <!-- /plan-title -->

							<div class="plan-price">
								<span class="note">$</span><?php echo substr($price,0,strpos($price,'.')); ?><span class="cents"> .<?php echo substr($price,-2,strpos($price,'.')); ?></span><span class="term"><?php echo StaticList_RecurSchedule::get($o->recur_schedule); ?></span>
							</div> <!-- /plan-price -->

						</div> <!-- /plan-header -->

						<div class="plan-features">
							<ul>
								<li><span class="note">$</span><strong><?php echo Currency::display($po->price($go->id,$o->recur_schedule,'setup',TRUE)); ?></strong> Connection</li>
								<li><strong><?php echo $po->plugin()->supplier_plan->display('speed'); ?></strong> Speed</li>
								<li><strong><?php echo $po->plugin()->base_down_peak/1000; ?></strong>GB Peak Downloads</li>

								<?php if ($po->plugin()->base_down_offpeak) : ?>
									<li><strong><?php echo $po->plugin()->base_down_offpeak/1000; ?></strong>GB OffPeak Downloads</li>
								<?php endif ?>

								<li><span class="note">$</span><strong><?php echo $po->plugin()->display('extra_down_peak'); ?></strong>/GB Extra Traffic</li>
								<li><strong><?php echo $po->plugin()->display('contract_term'); ?></strong> Months Contract</li>
							</ul>
						</div> <!-- /plan-features -->

						<div class="plan-actions">
							<!--
							<a href="javascript:;" class="btn">Purchase Now</a>
							-->
						</div> <!-- /plan-actions -->

					</div> <!-- /plan -->
				</div> <!-- /plan-container -->
			<?php endforeach ?>

		</div> <!-- /row -->
	</div> <!-- /pricing-plans -->
</div> <!-- /container -->
