<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This interface ensures that all cart processing objects have the right methods
 *
 * @package    Cart
 * @category   Interface
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
interface Cartable {
	// Render a cart line item.
	public function cart_item();
	// Return if this invoice is already in the cart
	public function cart_exists();
}
?>
