<?php defined('SYSPATH') OR die('No direct access allowed.');

/**
 * OAuth Request Resource
 *
 * @package    Kohana/OAuth2
 * @author     Deon George
 * @copyright  (c) 2009-2013 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
abstract class Kohana_OAuth2_Request_Resource extends OAuth2_Request {

	protected $name = 'resource';
	protected $auth_params = '/^(access_token|redirect_uri)/';

	public $send_header = 'OAuth';
	public $body = '';

}
