<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class supports Service Billing.
 *
 * @package    Service
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Model_Service_Billing extends ORM_OSB {
	protected $_table_name = 'account_billing';

	// Relationships
	protected $_has_one = array(
		'checkout'=>array('far_key'=>'checkout_id','foreign_key'=>'id'),
		'service'=>array('far_key'=>'service_id','foreign_key'=>'id'),
	);

	protected $_display_filters = array(
		'checkout_amount'=>array(
			array('Currency::display',array(':value')),
		),
	);
}
?>
