<div class="span11">
	<fieldset>
		<legend>SSL CA Certificate Edit/Update</legend>

		<div class="dl-horizontal">
			<dt>Subject</dt>
			<dd><?php echo $o->subject(); ?></dd>

			<dt>DN</dt>
			<dd><?php echo $o->dn(); ?></dd>

			<dt>Serial</dt>
			<dd><?php echo $o->serial(); ?></dd>

			<dt>Subject Key Id</dt>
			<dd><?php echo $o->ski(); ?></dd>

			<?php if (! $o->isRoot()) : ?>
				<dt>Issuer</dt>
				<dd>
					<?php if ($o->validParent()) : ?>
					<?php echo HTML::anchor(URL::link('reseller','ssl/edit/').$o->parent_ssl_ca_id,$o->issuer()); ?>
					<?php else : ?>
					<?php echo $o->issuer(); ?>
					<?php endif ?>
				</dd>

				<dt>Issuer Serial</dt>
				<dd><?php printf('%s (%s)',$o->aki_keyid(), $o->aki_serial()); ?></dd>

				<dt>Issuer Valid</dt>
				<dd><?php echo $o->validParent(TRUE); ?></dd>
			<?php endif ?>

			<dt>Valid From</dt>
			<dd><?php echo $o->valid_from(TRUE); ?></dd>

			<dt>Valid To</dt>
			<dd><?php echo $o->valid_to(TRUE); ?></dd>

			<dt>Hash</dt>
			<dd><?php echo $o->hash(); ?></dd>

			<dt>Version</dt>
			<dd><?php echo $o->version(); ?></dd>

			<dt>Key Algorithm<dt>
			<dd><?php echo $o->algorithm(); ?></dd>
		</div> <!-- /dl-horizontal -->
	</fieldset>

	<?php echo Form::textarea('sign_pk',$o->sign_pk,array('class'=>'span6','label'=>'Private Key','placeholder'=>'Private Key','style'=>'font-family: monospace;','rows'=>Form::textarea_rows($o->sign_pk))); ?>
	<?php echo Form::textarea('sign_cert',$o->sign_cert,array('class'=>'span6','label'=>'Public Certificate','placeholder'=>'Public Certificate','style'=>'font-family: monospace;','rows'=>Form::textarea_rows($o->sign_cert))); ?>

	<div class="row">
		<div class="offset2">
			<button type="submit" class="btn btn-primary">Save changes</button>
			<button type="button" class="btn">Cancel</button>
		</div>
	</div>
</div> <!-- /span -->
