<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides static pages.
 *
 * @package    OSB
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2010 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Model_StaticPage extends ORM_OSB {
	protected $_table_name = 'static_page';

	protected $_sorting = array(
		'name'=>'asc',
	);

	protected $_has_many = array(
		'staticpage_translate'=>array('foreign_key'=>'static_page_id','far_key'=>'id'),
	);

	protected $_belongs_to = array(
		'staticpage_category'=>array('foreign_key'=>'static_page_category_id'),
	);
}
?>
