<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * MySQL database connection.
 *
 * Modified for OSB, so that ORM can use enhanced SQL queries. This has been
 * achieved by simply removing the identifier backtick.
 *
 * @package    OSB
 * @category   Modifications
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Database_MySQL extends Kohana_Database_MySQL {
	// MySQL uses a backtick for identifiers
	protected $_identifier = '';
}
?>
