<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class overrides Kohana's Minion CLI Module
 *
 * @package    OSB
 * @category   Helpers
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
abstract class Minion_Task extends Kohana_Minion_Task {
	protected $_sysoptions = array(
		'site'=>NULL,
	);

	/**
	 * Override our __construct so that we can specify options in each class file
	 */
	protected function __construct() {
		// Populate $_accepted_options based on keys from $_options
		$this->_accepted_options = array_keys(Arr::merge($this->_sysoptions,$this->_options));
	}
}
?>
