<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * OSB Configuration - System Default Configurable Items.
 *
 * @package    OSB
 * @category   Configuration
 * @author     Deon George
 * @copyright  (c) 2010 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */

return array(
	'appname'         => 'OS Billing',	 // Our application name, as shown in the title bar of pages
	'email_from'      => array('noreply@graytech.net.au'=>'Graytech Hosting'),
	'method_security' => TRUE,		// Enables Method Security. Setting to false means any method can be run without authentication
	'session_change_trigger'=>array(	// Updates to tables to make when our session ID is changed
		'Cart'=>'session_id',
	),
	'bsb'             => '633-000',                  // @todo This should come from the DB
	'accnum'          => '120 440 821',              // @todo This should come from the DB
	'theme'           => 'focusbusiness', // @todo This should be in the DB
	'theme_admin'     => 'baseadmin', // @todo This should be in the DB
	'tmpdir'          => '/tmp',
);
?>
