<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * OSB Configuration - Database Driver
 *
 * @package    OSB
 * @category   Configuration
 * @author     Deon George
 * @copyright  (c) 2010 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */

return array
(
	'default' => array
	(
		'type'       => 'mysql',
		'connection' => array(
			/**
			 * The following options are available for MySQL:
			 *
			 * string   hostname     server hostname, or socket
			 * string   database     database name
			 * string   username     database username
			 * string   password     database password
			 * boolean  persistent   use persistent connections?
			 *
			 * Ports and sockets may be appended to the hostname.
			 */
			'hostname'   => 'localhost',
			'username'   => 'username',
			'password'   => 'password',
			'persistent' => FALSE,
			'database'   => 'database',
		),
		'table_prefix' => 'ab_',
		'charset'      => 'utf8',
		'caching'      => FALSE,
		'profiling'    => TRUE,
	),
);
?>
