<fieldset>
	<legend><?php echo __(':language description for email template :pid',array(':pid'=>$o->id,':language'=>$o->language->name)); ?></legend>

	<div class="row">
		<?php echo Form::input('translate[subject]',$o->subject,array(
			'label'=>'Email Subject',
			'placeholder'=>'Email Subject',
			'class'=>'span8',
			'required',
			'help-block'=>sprintf('This is the subject line on the email. Uses variables: %s',implode(', ',array_values($o->variables('subject')))))); ?>
	</div>
	<div class="row">
		<?php echo Form::textarea('translate[message_text]',$o->message_text,array(
			'label'=>'Message Text',
			'placeholder'=>'Message Text',
			'class'=>'span8',
			'required',
			'help-block'=>sprintf('The message in plain text that is used in the email for email clients that cannot render HTML. Uses variables: %s',implode(', ',array_values($o->variables('message_text')))))); ?>
	</div>
	<div class="row">
		<?php echo Form::textarea('translate[message_html]',$o->message_html,array(
			'label'=>'Message HTML',
			'placeholder'=>'Message HTML',
			'class'=>'span8',
			'required',
			'editor'=>'tinymce',
			'help-block'=>sprintf('The message in HTML that is used in the email. Uses variables: %s',implode(', ',array_values($o->variables('message_html')))))); ?>'
	</div>
</fieldset>

<?php echo Style::factory()->render_all(); ?>
<?php echo Script::factory()->render_all(); ?>
