<style type="text/css">
.container {
	margin-right: auto;
	margin-left: auto;
}
.container, .navbar-static-top .container, .navbar-fixed-top .container, .navbar-fixed-bottom .container {
//	width: 940px;
}
.container:before, .container:after {
	display: table;
	line-height: 0;
	content: "";
}
.container:after {
	clear: both;
}
.dl-horizontal {
}
.dl-horizontal:before, .dl-horizontal:after {
	display: table;
	line-height: 0;
	content: "";
}
.dl-horizontal:after {
	clear: both;
}
.dl-horizontal dt {
	float: left;
	width: 160px;
	overflow: hidden;
	clear: left;
//	text-align: right;
	text-overflow: ellipsis;
	white-space: nowrap;
}
dt {
	font-weight: bold;
	display: block;
}
dt, dd {
	line-height: 20px;
}
.main {
	padding-bottom: 2em;
}
.pull-right {
	float: right;
}
.row {
	margin-left: -20px;
}
.row:before, .row:after {
	display: table;
	line-height: 0;
	content: "";
}
.row:after {
	clear: both;
}
.span5 {
	width: 42%
}
.span11 {
	width: 92%;
}

.stacked {
	position: relative;
}

.stacked:before {
	bottom: -4px;
	left: 6px;
	right: 6px;
}
.stacked:after, .stacked:before {
	content: '';
	position: absolute;
	display: block;
	height: 1px;
	bottom: -2px;
	left: 3px;
	right: 3px;
	background-color: #ffffff;
	-webkit-border-radius: 0 0 3px 3px;
	-moz-border-radius: 0 0 3px 3px;
	border-radius: 0 0 3px 3px;
	border: 1px solid #d3d3d3;
	border-top: 0;
}
.widget {
	position: relative;
	clear: both;
	width: auto;
	margin-bottom: 2em;
}
.widget .widget-header + .widget-content {
	border-top: none;
	-webkit-border-top-left-radius: 0;
	-webkit-border-top-right-radius: 0;
	-moz-border-radius-topleft: 0;
	-moz-border-radius-topright: 0;
	border-top-left-radius: 0;
	border-top-right-radius: 0;
}
.widget .widget-content {
	padding: 20px 15px 15px;
	background: #FFF;
	border: 1px solid #D5D5D5;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	border-radius: 5px;
}
.widget .widget-content:before, .widget .widget-content:after {
	display: table;
	content: "";
	line-height: 0;
}
.widget .widget-content:after {
	clear: both;
}
.widget .widget-content:before, .widget .widget-content:after {
	display: table;
	content: "";
	line-height: 0;
}

[class*="span"] {
	float: left;
	min-height: 1px;
	margin-left: 20px;
}
table {
	max-width: 100%;
	background-color: transparent;
	border-collapse: collapse;
	border-spacing: 0;
	display: table;
	border-color: gray;
}
thead {
	display: table-header-group;
	vertical-align: middle;
	border-color: inherit;
}
tbody {
	display: table-row-group;
	vertical-align: middle;
	border-color: inherit;
}
tr {
	display: table-row;
	vertical-align: inherit;
	border-color: inherit;
}
.table caption+thead tr:first-child th, .table caption+thead tr:first-child td, .table colgroup+thead tr:first-child th, .table colgroup+thead tr:first-child td, .table thead:first-child tr:first-child th, .table thead:first-child tr:first-child td {
	border-top: 0;
}
.table thead th {
	vertical-align: bottom;
}
.table-condensed th, .table-condensed td {
	padding: 4px 5px;
}
.table-striped tbody>tr:nth-child(odd)>td, .table-striped tbody>tr:nth-child(odd)>th {
	background-color: #f9f9f9;
}
.table th {
	font-weight: bold;
}
.table th, .table td {
	padding: 8px;
	line-height: 20px;
	text-align: left;
	vertical-align: top;
	border-top: 1px solid #ddd;
}
th {
	font-weight: bold;
}
.table td {
	vertical-align: middle;
}
td, th {
	display: table-cell;
	vertical-align: inherit;
}
h1, h2, h3, h4, h5, h6 {
	margin-top: 0;
	margin: 10px 0;
	font-family: inherit;
	font-weight: bold;
	line-height: 20px;
	color: inherit;
	text-rendering: optimizelegibility;
}
h4 {
	font-size: 17.5px;
	display: block;
	-webkit-margin-before: 1.33em;
	-webkit-margin-after: 1.33em;
	-webkit-margin-start: 0px;
	-webkit-margin-end: 0px;
	font-weight: bold;
}
body {
	font: 13px/1.7em 'Open Sans';
	color: #333;
	background: #e9e9e9;
	display: block;
}
</style>
<div class="container">
	<div class="widget stacked">
		<div class="widget-content">
			<?php echo $html; ?>
		</div>
	</div>
</div> <!-- /container -->
