<?php defined('SYSPATH') OR die('No direct access allowed.');

/**
 * OAuth Request Token
 *
 * @package    Kohana/OAuth2
 * @author     Deon George
 * @copyright  (c) 2009-2013 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
abstract class Kohana_OAuth2_Request_Token extends OAuth2_Request {

	protected $auth_params = '/^(grant_type|code|client_id|client_secret|redirect_uri)$/';

	protected $name = 'token';

	public function execute(array $options = NULL)
	{
		return OAuth_Response::factory(parent::execute($options));
	}

}
